Subject: Re: [bug#78066] [PATCH v2 0/5] Update fail2ban.

From: Rodion Goritskov <[email-masked]>
Date: Tue, 29 Apr 2025 23:26:54 +0200

Hi Nicolas!

Thank you for your patch, it is great to have the updated version of
fail2ban.

I quickly tried to run available tests for fail2ban (it appears that
Guix has some).

I applied your patches and tried running:

> make check-system TESTS="fail2ban-basic fail2ban-extension
> fail2ban-simple"

To find out that tests are failing:

> /gnu/store/amc2p1x9gkgn6q6arak7ki4yxzcbs2cc-fail2ban-basic-test-builder:1: FAIL fail2ban running
> /gnu/store/amc2p1x9gkgn6q6arak7ki4yxzcbs2cc-fail2ban-basic-test-builder:1: FAIL fail2ban socket ready
> PASS: fail2ban running after restart
> /gnu/store/amc2p1x9gkgn6q6arak7ki4yxzcbs2cc-fail2ban-basic-test-builder:1: FAIL fail2ban socket ready after restart
> /gnu/store/amc2p1x9gkgn6q6arak7ki4yxzcbs2cc-fail2ban-basic-test-builder:1: FAIL fail2ban pid ready
> /gnu/store/amc2p1x9gkgn6q6arak7ki4yxzcbs2cc-fail2ban-basic-test-builder:1: FAIL fail2ban log file
> /gnu/store/amc2p1x9gkgn6q6arak7ki4yxzcbs2cc-fail2ban-basic-test-builder:1: FAIL fail2ban sshd jail running status output
> /gnu/store/amc2p1x9gkgn6q6arak7ki4yxzcbs2cc-fail2ban-basic-test-builder:1: FAIL fail2ban sshd jail running exit code

I have not investigated this problem yet, will try to do it tomorrow
evening.

Looks like "simple" and "extension" tests were already unstable (as per
ci.guix.gnu.org), but "basic" was passing before the Python upgrade and
the following changes.